import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bdtdck{
    constructor () {
        this.data = {
						oridoclab:"",			//  Label original		.oridoclab
						oriaddlab:"",			//  Label original		.oriaddlab
						bddgrp:{
							rec:{
								docflg:"",			//  单据类型		.bddgrp.rec.docflg
								predat:"",			//  交单日期		.bddgrp.rec.predat
								rcvdat:"",			//  到单日期		.bddgrp.rec.rcvdat
								matdat:"",			//  Maturity Date		.bddgrp.rec.matdat
								shpdat:"",			//  单据到期日		.bddgrp.rec.shpdat
								docprbrol:"",			//  单据类型		.bddgrp.rec.docprbrol
								payrol:"",			//  Payer		.bddgrp.rec.payrol
								ownref:"",			//  单据参考号		.bddgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.bddgrp.rec.nam
								docsta:"",			//  单据状态		.bddgrp.rec.docsta
								tenmaxday:"",			//  单据到期日		.bddgrp.rec.tenmaxday
								stadat:"",			//  Start Date		.bddgrp.rec.stadat
								igndisflg:"",			//  Ignore Discrepancies		.bddgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.bddgrp.rec.advtyp
								totdat:"",			//  付款日期		.bddgrp.rec.totdat
								disdat:"",			//  不符点通知日期		.bddgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.bddgrp.rec.approvcod
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bddgrp.cbs.max.cur
									amt:"",			//  单据金额		.bddgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bddgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bddgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							skh:{
								pts:new Pts().data,
							},
							blk:{
								comcon:"",			//  Comments and Conclusions		.bddgrp.blk.comcon
								docdis:"",			//  Discrepancies		.bddgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.bddgrp.blk.docdisflg
								accrmk:"",			//  到期付款确认备注		.bddgrp.blk.accrmk
							},
						},
						oldbddgrp:{
							cbs:{
								max:{
									amt:"",			//  Balance		.oldbddgrp.cbs.max.amt
								},
								max2:{
									amt:"",			//  Balance		.oldbddgrp.cbs.max2.amt
								},
							},
						},
						didgrp:{
							rec:{
								utlnbr:"",			//  Count of Received Document Sets		.didgrp.rec.utlnbr
								aplref:"",			//  Applicant Reference		.didgrp.rec.aplref
								ownref:"",			//  信用证参考号		.didgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.didgrp.cbs.opn1.cur
									amt:"",			//  Balance		.didgrp.cbs.opn1.amt
								},
							},
						},
						bdtp:{
							didget:{
								sdamod:{
									seainf:"",			//  		.bdtp.didget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.didget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.recget.sdamod.dadsnd
									seainf:"",			//  		.bdtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bdtp.matp.mattxtlab
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bdtp.oth.namelc
								adrelc:"",			//  地址		.bdtp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bdtp.oth.dbfadrblkcn
							},
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bdtp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bdtp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							setnowflg:"",			//  Register to Send and Settle Document		.bdtp.setnowflg
							zcday:"",			//  装船日\\服务提供日		.bdtp.zcday
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bdtp.docgrdm.docdsclab
							},
							cre752flg:"",			//  Create 752		.bdtp.cre752flg
							furide:"",			//  Further Identification		.bdtp.furide
							cre732flg:"",			//  Create MT 732		.bdtp.cre732flg
						},
						mhtyp:"",			//  交易类别		.mhtyp
						days:"",			//  此信用证下的到单次数		.days
						tzdat:"",			//  通知日期		.tzdat
						trnmod:{
							swiadd:{
								orimsgid:"",			//  原报文标识号		.trnmod.swiadd.orimsgid
								oriinstgagt:"",			//  原发起直接参与机构		.trnmod.swiadd.oriinstgagt
								orimsgtyp:"",			//  原报文类型		.trnmod.swiadd.orimsgtyp
							},
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}