import Utils from "~/utils"

/**
* Bdtset Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "trtcre.trdgrp.fip.pts.adrblk"                      :null,
    "trtcre.trtmod.finmod.ovdinttyp"                      :null,
    "trtcre.trtmod.finmod.dinmod.rmbsbs"                      :null,
    "dftcre.dfdgrp.rec.resamt"                      :null,
    "dftcre.dfdgrp.apl.namelc"                      :null,
    "dftcre.dfdgrp.cbs.max.cur"                      :null,
    "bddgrp.rec.frepayflg"                      :null,
    "fkhnum"                      :null,
    "dftcre.dfdgrp.cbs.max.amt"                      :null,
    "fkr"                      :null,
    "trtcre.trdgrp.rec.stttendat"                      :null,
    "bddgrp.rec.paytyp"                      :null,
    "dftcre.dfdgrp.rec.bankno"                      :null,
    "trtcre.trdgrp.cbs.max.cur"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "bddgrp.cbs.max.amt"                      :null,
    "dftcre.dfdgrp.apl.pts.extkey"                      :null,
    "trtcre.trdgrp.rec.issdat"                      :null,
    "bddgrp.prb.pts.extkey"                      :null,
    "trtcre.trdgrp.fip.namelc"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "trtcre.trtmod.finmod.intact"                      :null,
    "dftcre.dfdgrp.dff.pts.extkey"                      :null,
    "trtcre.trtmod.finmod.dinjdm"                      :null,
    "bddgrp.apl.pts.nam"                      :null,
    "trtcre.trdgrp.cbs.max.amt"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "trtcre.trtmod.finmod.intamt"                      :null,
    "bddgrp.rec.clrmtd"                      :null,
    "trtcre.trdgrp.fip.adrelc"                      :null,
    "skr"                      :null,
    "bddgrp.prb.pts.nam"                      :null,
    "trtcre.trtmod.finmod.ratchgdat"                      :null,
    "dftcre.dfdgrp.rec.invtyp"                      :null,
    "trtcre.trtmod.finmod.fltval"                      :null,
    "bddgrp.prb.pts.bankno"                      :null,
    "dftcre.dfdgrp.rec.stttendat"                      :null,
    "trtcre.trdgrp.rec.oppacc"                      :null,
    "trtcre.trdgrp.rec.lprtyp"                      :null,
    "fkhnam"                      :null,
    "dftcre.dfdgrp.dff.adrelc"                      :null,
    "bddgrp.prb.pts.jigomc"                      :null,
    "trtcre.trtmod.finmod.ovdintrat"                      :null,
    "trtcre.trdgrp.rec.trntyp"                      :null,
    "dftcre.dfdgrp.rec.fintyp"                      :null,
    "trtcre.trtmod.finmod.ratchgtyp"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "bddgrp.blk.setrmk"                      :null,
    "dftcre.dfdgrp.rec.matdat"                      :null,
    "liaall.limmod.ownref"                      :null,
    "dftcre.dfdgrp.rec.dfuflg"                      :null,
    "trtcre.trtmod.finmod.flttyp"                      :null,
    "skhnum"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "trtcre.trtmod.finmod.ratchgprd"                      :null,
    "trtcre.trdgrp.rec.actrat"                      :null,
    "dftcre.dfdgrp.rec.bankcn"                      :null,
    "dftcre.dfdgrp.rec.trntyp"                      :null,
    "trtcre.trdgrp.rec.flowflag"                      :null,
    "trtcre.trdgrp.rec.matdat"                      :null,
    "dftcre.dfdgrp.apl.adrelc"                      :null,
    "dftcre.dfdgrp.rec.flttyp"                      :null,
    "dftcre.dfdgrp.rec.actrat"                      :null,
    "trtcre.trtmod.finmod.act1"                      :null,
    "trtcre.trtmod.finmod.act3"                      :null,
    "fkzh"                      :null,
    "trtcre.trdgrp.rec.invtyp"                      :null,
    "bddgrp.prb.pts.ref"                      :null,
    "trtcre.trdgrp.fip.pts.extkey"                      :null,
    "khh"                      :null,
    "trtcre.trtp.act"                      :null,
    "trtcre.trdgrp.rec.tenday"                      :null,
    "trtcre.trtmod.finmod.inttyp"                      :null,
    "dftcre.dfdgrp.dff.pts.adrblk"                      :null,
    "dftcre.dfdgrp.rec.intprd"                      :null,
    "liaall.tenstm"                      :null,
    "trtcre.trdgrp.rec.pctfin"                      :null,
    "trtcre.trtmod.finmod.intprd"                      :null,
    "setmod.redamt"                      :null,
    "dftcre.dfdgrp.apl.pts.adrblk"                      :null,
    "bddgrp.ben.pts.nam"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "bddgrp.prb.pts.dizhii"                      :null,
    "trtcre.trtp.usr.extkey"                      :null,
    "dftcre.dfdgrp.dff.namelc"                      :null,
    "trtcre.trdgrp.rec.guaflg"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "trtcre.trdgrp.rec.stagod"                      :null,
    "setmod.docamt"                      :null,
    "skzh"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "trtcre.trtmod.finmod.intdat"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
    "mtabut.clsflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

