export default {
    "cptp.recget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.rec.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cptp.recget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cpdgrp.rec.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],


    "cpdgrp.rec.sysno":[
        {type: "string", required: true, message: "必输项"},
        {max: 21,message:"长度不能超过21"}
    ],






    "cpdgrp.cbs.nom1.amt":[
        {type: "string", required: true, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cpdgrp.cbs.max.amt":[
        {type: "string", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cptp.uetr":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "cpdgrp.rec.othbch":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],


    "cpdgrp.rec.paydat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],


    "cpdgrp.rec.valdat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],

    "cptp.draweecountcode":[
        {type: "string", required: true, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],



    "cptp.payeecountcode":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],




    "cpdgrp.rec.feeamt":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"整数位不能超过12位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],




    "cptp.orcnam":[
        {type: "string", required: true, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "cptp.sndp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],

    "cpdgrp.snd.pts.extkey":[
        {type: "string", required: true, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cptp.sndp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cptp.resbchnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 42,message:"长度不能超过42"}
    ],
    "cpdgrp.ori.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cptp.reconebch":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.snd.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "cpdgrp.snd.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.snd.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.snd.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "cptp.resbch":[
        {type: "string", required: false, message: "必输项"},
        {max: 12,message:"长度不能超过12"}
    ],

    "cptp.orcadr":[
        {type: "string", required: true, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "cptp.orip.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.ori.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cptp.orip.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cptp.coract":[
        {type: "string", required: false, message: "必输项"},
        {max: 32,message:"长度不能超过32"}
    ],
    "cptp.reconebchnam":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "cpdgrp.rec.f23e":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.snd.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.ori.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.ori.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.ori.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "cpdgrp.rec.amtf33b":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"整数位不能超过12位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cptp.pyenam":[
        {type: "string", required: true, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "cptp.pyebchkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 14,message:"长度不能超过14"}
    ],


    "cpdgrp.blk.contag70":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.ori.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.rec.f36":[
        {type: "string", required: false, message: "必输项"},
        {max: 12,message:"长度不能超过12"}
    ],
    "cptp.pyebchnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 38,message:"长度不能超过38"}
    ],

    "cptp.pyeadr":[
        {type: "string", required: true, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "cpdgrp.rec.amt71f":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"整数位不能超过12位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cptp.commet":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.orc.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.pye.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.rec.f23b":[
        {type: "string", required: false, message: "必输项"},
        {max: 4,message:"长度不能超过4"}
    ],
    "cpdgrp.rec.orcact":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.rec.pyeact":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cptp.orcp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.orc.pts.extkey":[
        {type: "string", required: true, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cptp.orcp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cptp.pyep.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.pye.pts.extkey":[
        {type: "string", required: true, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cptp.pyep.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],


    "cpdgrp.orc.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.orc.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 140,message:"长度不能超过140"}
    ],
    "cpdgrp.orc.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.pye.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.pye.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 140,message:"长度不能超过140"}
    ],
    "cpdgrp.pye.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.orc.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.pye.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "setmod.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],


    "setmod.docamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],




    "setmod.zmqacc":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],


    "setmod.glemod.gleshwstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],

    // "mtabut.coninf.oitinf.oit.inftxt":[
    //     {type: "string", required: false, message: "必输项"},
    //     {max: 60,message:"长度不能超过60"}
    // ],


    // "mtabut.coninf.oitset.oit.inftxt":[
    //     {type: "string", required: false, message: "必输项"},
    //     {max: 60,message:"长度不能超过60"}
    // ],

    "mtabut.coninf.conexedat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "mtabut.coninf.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],

    "trnmod.trndoc.advnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],
    "trnmod.trndoc.amdapl":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],

    "trnmod.trndoc.advdoc":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "trnmod.trndoc.filrecv":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "trnmod.trndoc.doctrestm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],









    "trnmod.trndoc.condocstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "trnmod.trndoc.rcvatt.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "lendoc.account":[
        {type: "string", required: true, message: "必输项"},
        {max: 25,message:"长度不能超过25"}
    ],

    "lendoc.vercerref":[
        {type: "string", required: true, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],
    "lendoc.decnum":[
        {type: "string", required: false, message: "必输项"},
        {max: 22,message:"长度不能超过22"}
    ],

    "bopmod.outchargeamt":[
        {type: "number", required: false, message: "必输项"}    ],

    "cpdgrp.rec.sztyp":[
        {type: "string", required: true, message: "必输项"},
        {max: 22,message:"长度不能超过22"}
    ],
    "cnybop.cnyflg":[
        {type: "string", required: true, message: "必输项"},
        {max: 22,message:"长度不能超过22"}
    ],

    "cnybop.cnyinc.spk":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],
    "cnybop.cnyinc.sbanktrano":[
        {type: "string", required: false, message: "必输项"},
        {max: 22,message:"长度不能超过22"}
    ],
    "cnybop.sbankname":[
        {type: "string", required: false, message: "必输项"},
        {max: 80,message:"长度不能超过80"}
    ],
    "cnybop.cnyinc.sbankorgcode":[
        {type: "string", required: false, message: "必输项"},
        {max: 12,message:"长度不能超过12"}
    ],
    "cnybop.cnyinc.spayeeacct":[
        {type: "string", required: false, message: "必输项"},
        {max: 32,message:"长度不能超过32"}
    ],
    "cnybop.cnyinc.spayeeorgcode":[
        {type: "string", required: false, message: "必输项"},
        {max: 18,message:"长度不能超过18"}
    ],
    "cnybop.spayeename":[
        {type: "string", required: false, message: "必输项"},
        {max: 80,message:"长度不能超过80"}
    ],

    "cnybop.cnyinc.spayercountrycode":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cnybop.spayername":[
        {type: "string", required: false, message: "必输项"},
        {max: 80,message:"长度不能超过80"}
    ],

    "cnybop.cnyinc.sswiftbic":[
        {type: "string", required: false, message: "必输项"},
        {max: 11,message:"长度不能超过11"}
    ],

    "cnybop.cnyinc.smidtransbank":[
        {type: "string", required: false, message: "必输项"},
        {max: 11,message:"长度不能超过11"}
    ],
    "cnybop.cnyinc.spayeracct":[
        {type: "string", required: false, message: "必输项"},
        {max: 32,message:"长度不能超过32"}
    ],
    "cnybop.incscale":[
        {type: "string", required: false, message: "必输项"},
        {max: 4,message:"长度不能超过4"}
    ],
    "cnybop.cnyinc.dpayeedate":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "cnybop.cnyinc.fprepayeeamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],

    "cnybop.cnyinc.iaccountperiod":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "cnybop.cnyinc.ftotalamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cnybop.cnyinc.sorilevyno":[
        {type: "string", required: false, message: "必输项"},
        {max: 24,message:"长度不能超过24"}
    ],
    "cnybop.cnyinc.fpayeeamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cnybop.cnyinc.fonshoreamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cnybop.cnyinc.fcustomsamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cnybop.cnyinc.foffshoreamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cnybop.cnyinc.frecordamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cnybop.cnyinc.fnogoodsamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cnybop.saddword":[
        {type: "string", required: false, message: "必输项"},
        {max: 80,message:"长度不能超过80"}
    ],





}