import Utils from "~/utils"

/**
* Cptato Check规则
*/
let checkObj = {
    "attp.feetyp"                      :null,
    "cpdgrp.orc.pts.extkey"                      :null,
    "attp.orcadr"                      :null,
    "cpdgrp.pye.namelc"                      :null,
    "attp.pyeadr"                      :null,
    "attp.swftyp"                      :null,
    "attp.pyenam"                      :null,
    "attp.bustyp"                      :null,
    "setmod.dspflg"                      :null,
    "cpdgrp.orc.adrelc"                      :null,
    "cpdgrp.pye.pts.extkey"                      :null,
    "attp.orcnam"                      :null,
    "cpdgrp.pye.pts.adrblk"                      :null,
    "cpdgrp.rec.trntyp"                      :null,
    "attp.paycountcode"                      :null,
    "cpdgrp.pye.adrelc"                      :null,
    "cpdgrp.rec.valdat"                      :null,
    "attp.payuil"                      :null,
    "cpdgrp.rec.paytype"                      :null,
    "cpdgrp.cbs.nom1.cur"                      :null,
    "cpdgrp.orc.pts.adrblk"                      :null,
    "cpdgrp.rec.ischktyp"                      :null,
    "attp.resbch"                      :null,
    "bopmod.szflg"                      :null,
    "cpdgrp.orc.namelc"                      :null,
    "cpdgrp.cbs.nom1.amt"                      :null,
    "cpdgrp.cbs.max.amt"                      :null,
    "cpdgrp.rec.pyeact"                      :null,
    "cpdgrp.rec.orcact"                      :null,
    "bopmod.basflg"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "cpdgrp.cbs.max.cur"                      :null,
    "attp.resbchnam"                      :null,
    "cpdgrp.rec.prechkdat"                      :null,
    "bopmod.ownextkey"                      :null,
    "setmod.docamt"                      :null,
    "attp.acctyp"                      :null,
    "bopmod.acttyp"                      :null,
    "attp.sndbchnam"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

