import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Inflid{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
						},
						seacnfdet:"",			//  Confirmation Status		.seacnfdet
						sealcrtyp:"",			//  form of L/C		.sealcrtyp
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						seagodcod:"",			//  Goods Code		.seagodcod
						pageId: ""	,		// ctx的key
						lidgrp:{
							rec:{
								inr:"",
								ownref:""
							}
						}
				}
    }
}