import Utils from "~/utils"

/**
* Infpta Check规则
*/
let checkObj = {
    "recgrp.adr.eml"                      :null,
    "seatypo"                      :null,
    "recpan.branchkey"                      :null,
    "recgrp.adr.tid"                      :null,
    "recgrp.rec.usg"                      :null,
    "recgrp.rec.issbchinf"                      :null,
    "seatypc"                      :null,
    "seatypb"                      :null,
    "recgrp.adr.loctxt"                      :null,
    "seatypa"                      :null,
    "recgrp.adr.bic"                      :null,
    "seatyph"                      :null,
    "recgrp.adr.discod"                      :null,
    "recgrp.adr.cortyp"                      :null,
    "recpan.bchkey"                      :null,
    "recpan.pty.extkey"                      :null,
    "recgrp.adr.loccty"                      :null,
    "recgrp.adr.nam1"                      :null,
    "recgrp.rec.objkey"                      :null,
    "recgrp.adr.uil"                      :null,
    "recpan.recget.sdamod.dadsnd"                      :null,
    "recpan.ptyget.sdamod.dadsnd"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

