import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Lttdck{
    constructor () {
        this.data = {
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
							},
						},
						bttp:{
							ledget:{
								sdamod:{
									seainf:"",			//  		.bttp.ledget.sdamod.seainf
								},
							},
							ltdget:{
								sdamod:{
									seainf:"",			//  		.bttp.ltdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ltdget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp.recget.sdamod.dadsnd
									seainf:"",			//  		.bttp.recget.sdamod.seainf
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp.aammod.addamtflg
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							docgrdmbe1:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe1.docdsclab
							},
							docgrdmbe2:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe2.docdsclab
							},
							futhndflg:"",			//  further handling		.bttp.futhndflg
						},
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
								nam:"",			//  Name		.ltdgrp.rec.nam
								avbby:"",			//  Available by		.ltdgrp.rec.avbby
								opndat:"",			//  Date Issued/Form		.ltdgrp.rec.opndat
								lcrtyp:"",			//  Date Issued/Form		.ltdgrp.rec.lcrtyp
								expdat:"",			//  Date / Place of Expiry		.ltdgrp.rec.expdat
								expplc:"",			//  Date / Place of Expiry		.ltdgrp.rec.expplc
								shpdat:"",			//  Shipment Date		.ltdgrp.rec.shpdat
								utlnbr:"",			//  Number of Utilizations		.ltdgrp.rec.utlnbr
								docsubflg:"",			//  Documents to be Substituted		.ltdgrp.rec.docsubflg
							},
							cbs:{
								nom1:{
									cur:"",			//  L/C Amount		.ltdgrp.cbs.nom1.cur
									amt:"",			//  Balance		.ltdgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.ltdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ltdgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  Available with		.ltdgrp.avbnam
						},
						btdgrp:{
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prb.namelc
								adrelc:"",			//  地址		.btdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prb.dbfadrblkcn
							},
							rec:{
								ownref:"",			//  Document Set Ref.		.btdgrp.rec.ownref
								nam:"",			//  Description		.btdgrp.rec.nam
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								rcvdatbe2:"",			//  Received on (2nd Ben)		.btdgrp.rec.rcvdatbe2
								orddatbe2:"",			//  Order Date 2nd Beneficiary		.btdgrp.rec.orddatbe2
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								shpdat:"",			//  Date of Shipment		.btdgrp.rec.shpdat
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.btdgrp.rec.dscinsflg
								docprbrol:"",			//  Presented by		.btdgrp.rec.docprbrol
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.btdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.btdgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  附加金额		.btdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.btdgrp.cbs.max2.amt
								},
							},
							blk:{
								matper:"",			//  Maturity Period		.btdgrp.blk.matper
								intdis:"",			//  Internal Discrepancies		.btdgrp.blk.intdis
								comcon:"",			//  Comments and Conclusions		.btdgrp.blk.comcon
								setinsbt:"",			//  Settlement Instructions transaction field		.btdgrp.blk.setinsbt
								docdis:"",			//  Discrepancies		.btdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.btdgrp.blk.docdisflg
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							redamt:"",			//  减少的金额		.setmod.redamt
							setamt:"",			//  减少后的结算金额		.setmod.setamt
							redamttxt:"",			//  注释		.setmod.redamttxt
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog: {
								setfol: []
							},
							setfeg: {
								setfel: []
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						pageId: ""			// ctx的key
				}
    }
}