export default {
    "bptp0.brdget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bptp0.bodget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bptp0.bedget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bptp0.btdget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bpdgrp.rec.pntref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bptp0.bodget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "bptp0.bedget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "bptp0.brdget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "bptp0.btdget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "bpdgrp.rec.pntnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "bptp0.recget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bpdgrp.rec.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bptp0.recget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "bpdgrp.rec.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "bpdgrp.fia.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bpdgrp.rec.intrat":[
        {type: "string", required: false, message: "必输项"},
        {max: 14,message:"长度不能超过14"}
    ],
    "bptp0.fiap.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bpdgrp.fia.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "bptp0.fiap.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "bpdgrp.fia.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "bpdgrp.cbs.max.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "bpdgrp.fia.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "bpdgrp.fia.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "bpdgrp.cbs.opn1.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "bpdgrp.fia.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "strinf":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],

    "setmod.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],


    "setmod.docamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],




    "setmod.zmqacc":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],



    "mtabut.coninf.oitinf.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],


    "mtabut.coninf.oitset.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],

    "mtabut.coninf.conexedat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "mtabut.coninf.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],
    "mtabut.coninf.contag72his":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "mtabut.coninf.contag79his":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],
    "mtabut.coninf.contag72":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "mtabut.coninf.contag79":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],

    "trnmod.trndoc.advnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],
    "trnmod.trndoc.amdapl":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],

    "trnmod.trndoc.advdoc":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "trnmod.trndoc.filrecv":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "trnmod.trndoc.doctrestm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],









    "trnmod.trndoc.condocstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "trnmod.trndoc.rcvatt.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "trnmod.trndoc.dtemod.dtetagm06":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],

    "trnmod.trndoc.dtemod.dtetagm53nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.trndoc.dtemod.dtetagm53num":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.trndoc.dtemod.dtetagm07":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],

    "trnmod.trndoc.dtemod.dtetagm08":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],




    "trnmod.cipmod.dafnzh":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],
    "trnmod.cipmod.dafnmc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.dddbsh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "trnmod.cipmod.zjg1hh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.zjg2hh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.zjg1mc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.zjg2mc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.pyebchkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrkhh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.pyebchnam":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.fukrhm":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.recsehbch":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fuyns1":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.recsehbchnam":[
        {type: "string", required: true, message: "必输项"},
        {max: 100,message:"长度不能超过100"}
    ],
    "trnmod.cipmod.staonebch":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fuyns2":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.staonebchnam":[
        {type: "string", required: true, message: "必输项"},
        {max: 100,message:"长度不能超过100"}
    ],
    "trnmod.cipmod.stasehbch":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fuyns3":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.stasehbchnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 100,message:"长度不能超过100"}
    ],
    "trnmod.cipmod.skrdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fuyns4":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skrdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkhkhh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skkhhh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skrdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkkhmc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skkhhm":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skrdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkhdzh":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skkhdz":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skrdz6":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkkhzh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skkhzh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skrdz7":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrdz6":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fuynh2":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrdz7":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fuynh4":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fuynh3":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.ddbhao":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.feiyon":[
        {type: "string", required: false, message: "必输项"},
        {max: 15,message:"长度不能超过15"}
    ],
    "trnmod.cipmod.fufeih":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.ddmisu":[
        {type: "string", required: true, message: "必输项"},
        {max: 100,message:"长度不能超过100"}
    ],
    "trnmod.cipmod.feiyn2":[
        {type: "string", required: false, message: "必输项"},
        {max: 15,message:"长度不能超过15"}
    ],

    "trnmod.cipmod.ffeih2":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fyo1bz":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "trnmod.cipmod.fyo2bz":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "trnmod.cipmod.fkreid":[
        {type: "string", required: false, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],
    "trnmod.cipmod.cskeid":[
        {type: "string", required: false, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],

    "trnmod.cipmod.skreid":[
        {type: "string", required: false, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],

    "trnmod.cipmod.cskfzh":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],
    "trnmod.cipmod.cskrzj":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.fkrzjh":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],

    "trnmod.cipmod.csfdz1":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],

    "trnmod.cipmod.skrzjh":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],

    "trnmod.cipmod.csfdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],

    "trnmod.cipmod.fkrzhj":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.skrzhj":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.csfdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.fkfyzh":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],
    "trnmod.cipmod.skfyzh":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],
    "trnmod.cipmod.csfdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.fkfdz1":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.skfdz1":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.csfdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.fkfdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.skfdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.csfdz6":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.fkfdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.skfdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.csfdz7":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.fkfdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.skfdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.cskzjh":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.fkfdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.skfdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.fkfdz6":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.skfdz6":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.cfkeid":[
        {type: "string", required: false, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],
    "trnmod.cipmod.fkfdz7":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.skfdz7":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.cfkfzh":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],
    "trnmod.cipmod.cfkrzj":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.ddmsu1":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cffdz1":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],

    "trnmod.cipmod.ddmsu2":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cffdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],

    "trnmod.cipmod.ddmsu3":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cffdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.ddmsu4":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cffdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.ddmsu5":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cffdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.ddmsu6":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cffdz6":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.ddmsu7":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cffdz7":[
        {type: "string", required: true, message: "必输项"},
        {max: 28,message:"长度不能超过28"}
    ],
    "trnmod.cipmod.ddmsu8":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.cfkzjh":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "trnmod.cipmod.mxywbs":[
        {type: "string", required: false, message: "必输项"},
        {max: 15,message:"长度不能超过15"}
    ],
    "trnmod.cipmod.fqzyhh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.mxywje":[
        {type: "string", required: false, message: "必输项"},
        {max: 18,message:"长度不能超过18"}
    ],
    "trnmod.cipmod.jszyhh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.cipmod.mxywsh":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "trnmod.ptsmod.fecinf.fecstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "liaall.limmod.ecifno":[
        {type: "string", required: false, message: "必输项"},
        {max: 22,message:"长度不能超过22"}
    ],



    "liaall.limmod.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.othp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.limpts.wrk.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "liaall.limmod.limpts.oth.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.othp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "liaall.limmod.comamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.limmod.limpts.wrk.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "liaall.limmod.limpts.oth.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "liaall.limmod.ccvamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],





    "liaall.limmod.limpts.pfcod1":[
        {type: "string", required: false, message: "必输项"},
        {max: 14,message:"长度不能超过14"}
    ],
    "liaall.limmod.limpts.pfcod2":[
        {type: "string", required: false, message: "必输项"},
        {max: 14,message:"长度不能超过14"}
    ],

    "trnmod.trndoc.dtgmod.dtgtagm46":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
}